<?php

class PHP_Object_Configure
{
    protected $type;

    protected $aliasMethods = array(
        'PHP_Object_Array' => array(
            'array_*',
        ),
        'PHP_Object_String' => array(
            'str_*',
            'str*',
        ),
    );

    protected $methodsReturningSelf = array(
        'clearstatcache',
        'closedir',
        'date_date_set',
        'date_isodate_set',
        'date_modify',
        'date_time_set',
        'date_timezone_set',
        'dba_close',
        'debug_print_backtrace',
        'debug_zval_dump',
        'define_syslog_variables',
        'flush',
        'header',
        'ini_restore',
        'libxml_clear_errors',
        'libxml_set_streams_context',
        'mt_srand',
        'mysqli_free_result',
        'mysqli_set_local_infile_default',
        'mysqli_stmt_data_seek',
        'mysqli_stmt_free_result',
        'ncurses_bkgdset',
        'ncurses_filter',
        'ncurses_getmaxyx',
        'ncurses_getyx',
        'ncurses_init',
        'ncurses_noqiflush',
        'ncurses_qiflush',
        'ncurses_timeout',
        'ncurses_update_panels',
        'ncurses_use_env',
        'ob_clean',
        'ob_flush',
        'ob_implicit_flush',
        'openssl_free_key',
        'openssl_pkey_free',
        'openssl_x','_free',
        'parse_str',
        'passthru',
        'pcntl_exec',
        'register_shutdown_function',
        'restore_include_path',
        'rewinddir',
        'session_set_cookie_params',
        'session_unset',
        'session_write_close',
        'set_time_limit',
        'shmop_close',
        'socket_clear_error',
        'socket_close',
        'spl_autoload',
        'spl_autoload_call',
        'srand',
        'stream_bucket_append',
        'stream_bucket_prepend',
        'unregister_tick_function',
        'usleep',
        'var_dump',
        'zip_close',
    );

    protected $argOffsets = array(
        'PHP_Object_Array' => array(
            'array_change_key_case' => 0,
            'array_chunk' => 0,
            'array_combine' => 0,
            'array_count_values' => 0,
            'array_diff' => 0,
            'array_diff_assoc' => 0,
            'array_diff_key' => 0,
            'array_diff_uassoc' => 0,
            'array_diff_ukey' => 0,
            'array_fill' => 2,
            'array_fill_keys' => 0,
            'array_filter' => 0,
            'array_flip' => 0,
            'array_intersect' => 0,
            'array_intersect_assoc' => 0,
            'array_intersect_key' => 0,
            'array_intersect_uassoc' => 0,
            'array_intersect_ukey' => 0,
            'array_key_exists' => 1,
            'array_keys' => 0,
            'array_map' => 1,
            'array_merge' => 0,
            'array_merge_recursive' => 0,
            'array_multisort' => 0,
            'array_pad' => 0,
            'array_pop' => 0,
            'array_product' => 0,
            'array_push' => 0,
            'array_rand' => 0,
            'array_reduce' => 0,
            'array_reverse' => 0,
            'array_search' => 1,
            'array_shift' => 0,
            'array_slice' => 0,
            'array_splice' => 0,
            'array_sum' => 0,
            'array_udiff' => 0,
            'array_udiff_assoc' => 0,
            'array_udiff_uassoc' => 0,
            'array_uintersect' => 0,
            'array_uintersect_assoc' => 0,
            'array_uintersect_uassoc' => 0,
            'array_unique' => 0,
            'array_unshift' => 0,
            'array_values' => 0,
            'array_walk' => 0,
            'array_walk_recursive' => 0,
            'arsort' => 0,
            'asort' => 0,
            'assert' => 0,
            'call_user_func' => 1,
            'call_user_func_array' => 1,
            'call_user_method' => 2,
            'call_user_method_array' => 2,
            'count' => 0,
            'compact' => 0,
            'current' => 0,
            'debug_zval_dump' => 0,
            'dns_get_mx' => 1,
            'each' => 0,
            'end' => 0,
            'ereg' => 2,
            'eregi' => 2,
            'exec' => 1,
            'extract' => 0,
            'file_put_contents' => 1,
            'filter_input_array' => 1,
            'filter_var' => 0,
            'filter_var_array' => 0,
            'fputcsv' => 1,
            'getimagesize' => 1,
            'getmxrr' => 1,
            'getopt' => 1,
            'gettype' => 0,
            'http_build_query' => 0,
            'iconv_mime_encode' => 2,
            'implode' => 1,
            'in_array' => 1,
            'intval' => 0,
            'is_array' => 0,
            'is_bool' => 0,
            'is_double' => 0,
            'is_float' => 0,
            'is_int' => 0,
            'is_integer' => 0,
            'is_long' => 0,
            'is_null' => 0,
            'is_numeric' => 0,
            'is_object' => 0,
            'is_real' => 0,
            'is_resource' => 0,
            'is_scalar' => 0,
            'is_string' => 0,
            'iterator_apply' => 2,
            'join' => 1,
            'json_encode' => 0,
            'key' => 0,
            'key_exists' => 1,
            'krsort' => 0,
            'ksort' => 0,
            'max' => 0,
            'mb_convert_encoding' => 2,
            'mb_convert_variables' => 2,
            'mb_detect_encoding' => 1,
            'mb_detect_order' => 0,
            'mb_decode_numericentity' => 1,
            'mb_encode_numericentity' => 1,
            'mb_ereg' => 2,
            'mb_eregi' => 2,
            'mb_parse_str' => 1,
            'min' => 0,
            'msg_set_queue' => 1,
            'mysql_fetch_object' => 2,
            'mysqli_fetch_object' => 2,
            'natcasesort' => 0,
            'natsort' => 0,
            'ncurses_getmouse' => 0,
            'ncurses_ungetmouse' => 0,
            'next' => 0,
            'openssl_csr_new' => 0,
            'openssl_csr_sign' => 4,
            'openssl_pkcs12_export' => 4,
            'openssl_pkcs12_export_to_file' => 4,
            'openssl_pkcs12_read' => 1,
            'openssl_pkcs7_encrypt' => 3,
            'openssl_pkcs7_sign' => 4,
            'openssl_pkcs7_verify' => 3,
            'openssl_pkey_export' => 3,
            'openssl_pkey_export_to_file' => 3,
            'openssl_pkey_new' => 0,
            'openssl_seal' => 2,
            'openssl_x509_checkpurpose' => 2,
            'pack' => 1,
            'parse_str' => 1,
            'pcntl_exec' => 1,
            'pg_convert' => 2,
            'pg_copy_from' => 2,
            'pg_delete' => 2,
            'pg_execute' => 2,
            'pg_insert' => 2,
            'pg_query_params' => 2,
            'pg_select' => 2,
            'pg_send_execute' => 2,
            'pg_send_query_params' => 2,
            'pg_update' => 2,
            'pos' => 0,
            'preg_grep' => 1,
            'preg_match' => 2,
            'preg_match_all' => 2,
            'prev' => 0,
            'preg_replace' => 2,
            'preg_replace_callback' => 2,
            'proc_open' => 1,
            'print_r' => 0,
            'register_shutdown_function' => 1,
            'register_tick_function' => 1,
            'reset' => 0,
            'rsort' => 0,
            'serialize' => 0,
            'session_register' => 0,
            'settype' => 0,
            'shuffle' => 0,
            'sizeof' => 0,
            'socket_create_pair' => 3,
            'socket_select' => 0,
            'sort' => 0,
            'str_ireplace' => 2,
            'str_replace' => 2,
            'stream_context_create' => 0,
            'stream_context_get_default' => 0,
            'stream_context_set_params' => 1,
            'stream_select' => 0,
            'substr_replace' => 0,
            'uasort' => 0,
            'uksort' => 0,
            'usort' => 0,
            'var_dump' => 0,
            'var_export' => 0,
            'vfprintf' => 2,
            'vprintf' => 1,
            'vsprintf' => 1,
            'wddx_add_vars' => 1,
            'wddx_serialize_value' => 0,
            'wddx_serialize_vars' => 0,
            'xml_parse_into_struct' => 2, 
        ),

        'PHP_Object_Boolean' => array(
            'array_chunk' => 2,
            'array_fill' => 2,
            'array_fill_keys' => 1,
            'array_keys' => 2,
            'array_pad' => 2,
            'array_push' => 1,
            'array_reverse' => 1,
            'array_search' => 2,
            'array_slice' => 3,
            'array_splice' => 3,
            'array_unshift' => 1,
            'assert' => 0,
            'assert_options' => 1,
            'base64_decode' => 1,
            'call_user_func' => 1,
            'call_user_method' => 2,
            'class_exists' => 1,
            'class_implements' => 1,
            'class_parents' => 1,
            'clearstatcache' => 0,
            'dba_handlers' => 0,
            'debug_backtrace' => 0,
            'debug_zval_dump' => 0,
            'define' => 1,
            'doubleval' => 0,
            'exif_read_data' => 2,
            'filter_var' => 0,
            'floatval' => 0,
            'fopen' => 2,
            'ftp_pasv' => 1,
            'ftp_rawlist' => 2,
            'get_browser' => 1,
            'get_defined_constants' => 0,
            'get_loaded_extensions' => 0,
            'get_meta_tags' => 1,
            'gettimeofday' => 0,
            'gettype' => 0,
            'hash' => 2,
            'hash_file' => 2,
            'hash_final' => 1,
            'hash_hmac' => 3,
            'hash_hmac_file' => 3,
            'header' => 1,
            'highlight_file' => 1,
            'highlight_string' => 1,
            'htmlentities' => 3,
            'htmlspecialchars' => 3,
            'image_type_to_extension' => 1,
            'in_array' => 2,
            'ini_get_all' => 1,
            'interface_exists' => 1,
            'intval' => 0,
            'is_array' => 0,
            'is_bool' => 0,
            'is_callable' => 1,
            'is_double' => 0,
            'is_float' => 0,
            'is_int' => 0,
            'is_integer' => 0,
            'is_long' => 0,
            'is_null' => 0,
            'is_numeric' => 0,
            'is_object' => 0,
            'is_real' => 0,
            'is_resource' => 0,
            'is_scalar' => 0,
            'is_string' => 0,
            'iterator_to_array' => 1,
            'jdtojewish' => 1,
            'json_decode' => 1,
            'json_encode' => 0,
            'libxml_use_internal_errors' => 0,
            'localtime' => 1,
            'mb_detect_encoding' => 2,
            'mb_stristr' => 2,
            'mb_strrchr' => 2,
            'mb_strrichr' => 2,
            'mb_strstr' => 2,
            'md5' => 1,
            'md5_file' => 1,
            'memory_get_peak_usage' => 0,
            'memory_get_usage' => 0,
            'microtime' => 0,
            'mkdir' => 2,
            'msg_receive' => 5,
            'msg_send' => 3,
            'mysql_connect' => 3,
            'mysqli_autocommit' => 1,
            'ncurses_keyok' => 1,
            'ncurses_keypad' => 1,
            'ncurses_meta' => 1,
            'ncurses_mouse_trafo' => 2,
            'ncurses_use_env' => 0,
            'ncurses_use_extended_names' => 0,
            'ncurses_wmouse_trafo' => 3,
            'nl2br' => 1,
            'ob_get_status' => 0,
            'ob_start' => 2,
            'openssl_csr_export' => 2,
            'openssl_csr_export_to_file' => 2,
            'openssl_csr_get_public_key' => 1,
            'openssl_csr_get_subject' => 1,
            'openssl_x509_export' => 2,
            'openssl_x509_export_to_file' => 2,
            'openssl_x509_parse' => 1,
            'pack' => 1,
            'parse_ini_file' => 1,
            'pcntl_signal' => 2,
            'pg_field_table' => 2,
            'print_r' => 0,
            'read_exif_data' => 2,
            'readfile' => 1,
            'register_shutdown_function' => 1,
            'register_tick_function' => 1,
            'serialize' => 0,
            'session_regenerate_id' => 0,
            'session_set_cookie_params' => 3,
            'setcookie' => 5,
            'setrawcookie' => 5,
            'settype' => 0,
            'sha1' => 1,
            'sha1_file' => 1,
            'show_source' => 1,
            'simplexml_load_file' => 4,
            'simplexml_load_string' => 4,
            'stream_socket_enable_crypto' => 1,
            'stream_socket_get_name' => 1,
            'strchr' => 2,
            'stristr' => 2,
            'strstr' => 2,
            'strval' => 0,
            'substr_compare' => 4,
            'uniqid' => 1,
            'use_soap_error_handler' => 0,
            'var_dump' => 0,
            'var_export' => 0,
            'wddx_serialize_value' => 0,
            'wordwrap' => 3,
            'xml_parse' => 2,
            'XMLWRITER_FLUSH' => 1,
            'XMLWRITER_OUTPUT_MEMORY' => 1,
            'XMLWRITER_SET_INDENT' => 1,
            'XMLWRITER_START_DTD_ENTITY' => 2,
        ),

        'PHP_Object_Null' => array(
            'array_fill' => 2,
            'array_fill_keys' => 1,
            'array_keys' => 1,
            'array_pad' => 2,
            'array_push' => 1,
            'array_search' => 0,
            'array_unshift' => 1,
            'assert' => 0,
            'call_user_func' => 1,
            'call_user_method' => 2,
            'debug_zval_dump' => 0,
            'define' => 1,
            'filter_var' => 0,
            'floatval' => 0,
            'gettype' => 0,
            'in_array' => 0,
            'intval' => 0,
            'is_array' => 0,
            'is_bool' => 0,
            'is_double' => 0,
            'is_float' => 0,
            'is_int' => 0,
            'is_integer' => 0,
            'is_long' => 0,
            'is_null' => 0,
            'is_numeric' => 0,
            'is_object' => 0,
            'is_real' => 0,
            'is_resource' => 0,
            'is_scalar' => 0,
            'is_string' => 0,
            'json_encode' => 0,
            'pack' => 1,
            'print_r' => 0,
            'serialize' => 0,
            'settype' => 0,
            'shm_put_var' => 2,
            'strval' => 0,
            'var_dump' => 0,
            'var_export' => 0,
            'wddx_serialize_value' => 0,
        ),

        'PHP_Object_Numeric_Float' => array(
            'abs' => 0,
            'acos' => 0,
            'acosh' => 0,
            'array_fill' => 2,
            'array_fill_keys' => 1,
            'array_pad' => 2,
            'array_push' => 1,
            'array_search' => 0,
            'array_splice' => 3,
            'array_unshift' => 1,
            'asin' => 0,
            'asinh' => 0,
            'assert' => 0,
            'atan' => 0,
            'atan2' => 0,
            'atanh' => 0,
            'call_user_func' => 1,
            'call_user_method' => 2,
            'ceil' => 0,
            'cos' => 0,
            'cosh' => 0,
            'date_sun_info' => 1,
            'date_sunrise' => 2,
            'date_sunset' => 2,
            'debug_zval_dump' => 0,
            'define' => 1,
            'deg2rad' => 0,
            'doubleval' => 0,
            'exp' => 0,
            'expm1' => 0,
            'filter_var' => 0,
            'floatval' => 0,
            'floor' => 0,
            'fmod' => 0,
            'fsockopen' => 4,
            'gettype' => 0,
            'hypot' => 0,
            'in_array' => 0,
            'intval' => 0,
            'is_array' => 0,
            'is_bool' => 0,
            'is_double' => 0,
            'is_finite' => 0,
            'is_float' => 0,
            'is_infinite' => 0,
            'is_int' => 0,
            'is_integer' => 0,
            'is_long' => 0,
            'is_nan' => 0,
            'is_null' => 0,
            'is_numeric' => 0,
            'is_object' => 0,
            'is_real' => 0,
            'is_resource' => 0,
            'is_scalar' => 0,
            'is_string' => 0,
            'json_encode' => 0,
            'log' => 0,
            'log10' => 0,
            'log1p' => 0,
            'money_format' => 1,
            'number_format' => 0,
            'pack' => 1,
            'pfsockopen' => 4,
            'pow' => 0,
            'print_r' => 0,
            'rad2deg' => 0,
            'range' => 2,
            'register_shutdown_function' => 1,
            'register_tick_function' => 1,
            'round' => 0,
            'serialize' => 0,
            'settype' => 0,
            'similar_text' => 2,
            'sin' => 0,
            'sinh' => 0,
            'sprintf' => 1,
            'sqrt' => 0,
            'stream_socket_accept' => 1,
            'stream_socket_client' => 3,
            'strval' => 0,
            'tan' => 0,
            'tanh' => 0,
            'time_sleep_until' => 0,
            'var_dump' => 0,
            'var_export' => 0,
            'wddx_serialize_value' => 0,
        ),

        'PHP_Object_Numeric_Integer' => array(
            'abs' => 0,
            'array_change_key_case' => 1,
            'array_chunk' => 1,
            'array_fill' => 2,
            'array_fill_keys' => 1,
            'array_key_exists' => 0,
            'array_keys' => 1,
            'array_multisort' => 1,
            'array_pad' => 1,
            'array_push' => 1,
            'array_rand' => 1,
            'array_reduce' => 2,
            'array_search' => 0,
            'array_slice' => 1,
            'array_splice' => 1,
            'array_unshift' => 1,
            'arsort' => 1,
            'asort' => 1,
            'assert' => 0,
            'assert_options' => 0,
            'base_convert' => 1,
            'bcadd' => 2,
            'bccomp' => 2,
            'bcdiv' => 2,
            'bcmul' => 2,
            'bcpow' => 2,
            'bcpowmod' => 3,
            'bcscale' => 0,
            'bcsqrt' => 1,
            'bcsub' => 2,
            'bzcompress' => 1,
            'bzdecompress' => 1,
            'bzread' => 1,
            'bzwrite' => 2,
            'cal_days_in_month' => 0,
            'cal_from_jd' => 0,
            'cal_info' => 0,
            'cal_to_jd' => 0,
            'call_user_func' => 1,
            'call_user_method' => 2,
            'checkdate' => 0,
            'chgrp' => 1,
            'chmod' => 1,
            'chown' => 1,
            'chr' => 0,
            'chunk_split' => 1,
            'count' => 1,
            'count_chars' => 1,
            'date' => 1,
            'date_date_set' => 1,
            'date_isodate_set' => 1,
            'date_sun_info' => 0,
            'date_sunrise' => 0,
            'date_sunset' => 0,
            'date_time_set' => 1,
            'dcgettext' => 2,
            'dcngettext' => 3,
            'debug_zval_dump' => 0,
            'decbin' => 0,
            'dechex' => 0,
            'decoct' => 0,
            'define' => 1,
            'dngettext' => 3,
            'dns_get_record' => 1,
            'doubleval' => 0,
            'easter_date' => 0,
            'easter_days' => 0,
            'error_log' => 1,
            'error_reporting' => 0,
            'exec' => 2,
            'exif_thumbnail' => 1,
            'explode' => 2,
            'extract' => 1,
            'fgetcsv' => 1,
            'fgets' => 1,
            'fgetss' => 1,
            'file' => 1,
            'file_get_contents' => 1,
            'file_put_contents' => 2,
            'filter_has_var' => 0,
            'filter_input' => 0,
            'filter_input_array' => 0,
            'filter_var' => 0,
            'filter_var_array' => 1,
            'floatval' => 0,
            'flock' => 1,
            'fnmatch' => 2,
            'fputs' => 2,
            'fread' => 1,
            'frenchtojd' => 0,
            'fseek' => 1,
            'fsockopen' => 1,
            'ftp_alloc' => 1,
            'ftp_chmod' => 1,
            'ftp_connect' => 1,
            'ftp_fget' => 3,
            'ftp_fput' => 3,
            'ftp_get' => 3,
            'ftp_get_option' => 1,
            'ftp_nb_fget' => 3,
            'ftp_nb_fput' => 3,
            'ftp_nb_get' => 3,
            'ftp_nb_put' => 3,
            'ftp_put' => 3,
            'ftp_set_option' => 1,
            'ftp_ssl_connect' => 1,
            'ftruncate' => 1,
            'func_get_arg' => 0,
            'fwrite' => 2,
            'get_headers' => 1,
            'get_html_translation_table' => 0,
            'getdate' => 0,
            'getprotobynumber' => 0,
            'getrusage' => 0,
            'getservbyport' => 0,
            'gettype' => 0,
            'glob' => 1,
            'gmdate' => 1,
            'gmmktime' => 0,
            'gmstrftime' => 1,
            'gregoriantojd' => 0,
            'gzcompress' => 1,
            'gzdeflate' => 1,
            'gzencode' => 1,
            'gzfile' => 1,
            'gzgets' => 1,
            'gzgetss' => 1,
            'gzinflate' => 1,
            'gzopen' => 2,
            'gzputs' => 2,
            'gzread' => 1,
            'gzseek' => 1,
            'gzuncompress' => 1,
            'gzwrite' => 2,
            'hash_init' => 1,
            'hash_update_stream' => 2,
            'header' => 2,
            'headers_sent' => 1,
            'hebrev' => 1,
            'hebrevc' => 1,
            'html_entity_decode' => 1,
            'htmlentities' => 1,
            'htmlspecialchars' => 1,
            'htmlspecialchars_decode' => 1,
            'iconv_mime_decode' => 1,
            'iconv_mime_decode_headers' => 1,
            'iconv_strpos' => 2,
            'iconv_substr' => 1,
            'idate' => 1,
            'image_type_to_extension' => 0,
            'image_type_to_mime_type' => 0,
            'in_array' => 0,
            'intval' => 1,
            'iptcembed' => 2,
            'is_array' => 0,
            'is_bool' => 0,
            'is_double' => 0,
            'is_float' => 0,
            'is_int' => 0,
            'is_integer' => 0,
            'is_long' => 0,
            'is_null' => 0,
            'is_numeric' => 0,
            'is_object' => 0,
            'is_real' => 0,
            'is_resource' => 0,
            'is_scalar' => 0,
            'is_string' => 0,
            'jddayofweek' => 0,
            'jdmonthname' => 0,
            'jdtofrench' => 0,
            'jdtogregorian' => 0,
            'jdtojewish' => 0,
            'jdtojulian' => 0,
            'jdtounix' => 0,
            'jewishtojd' => 0,
            'json_encode' => 0,
            'juliantojd' => 0,
            'key_exists' => 0,
            'krsort' => 1,
            'ksort' => 1,
            'lchgrp' => 1,
            'lchown' => 1,
            'localtime' => 0,
            'long2ip' => 0,
            'mb_convert_case' => 1,
            'mb_encode_mimeheader' => 4,
            'mb_ereg_search_setpos' => 0,
            'mb_substitute_character' => 0,
            'mb_output_handler' => 1,
            'mb_split' => 2,
            'mb_strcut' => 1,
            'mb_strimwidth' => 1,
            'mb_stripos' => 2,
            'mb_strpos' => 2,
            'mb_strripos' => 2,
            'mb_strrpos' => 2,
            'mb_substr' => 1,
            'metaphone' => 1,
            'mkdir' => 1,
            'mktime' => 0,
            'msg_get_queue' => 0,
            'msg_receive' => 1,
            'msg_send' => 1,
            'mt_srand' => 0,
            'mysql_connect' => 4,
            'mysql_data_seek' => 1,
            'mysql_db_name' => 1,
            'mysql_fetch_array' => 1,
            'mysql_fetch_field' => 1,
            'mysql_field_flags' => 1,
            'mysql_field_len' => 1,
            'mysql_field_name' => 1,
            'mysql_field_seek' => 1,
            'mysql_field_table' => 1,
            'mysql_field_type' => 1,
            'mysql_pconnect' => 3,
            'mysql_result' => 1,
            'mysql_tablename' => 1,
            'mysqli_connect' => 4,
            'mysqli_data_seek' => 1,
            'mysqli_fetch_array' => 1,
            'mysqli_fetch_field_direct' => 1,
            'mysqli_field_seek' => 1,
            'mysqli_kill' => 1,
            'mysqli_options' => 1,
            'mysqli_query' => 2,
            'mysqli_real_connect' => 5,
            'mysqli_report' => 0,
            'mysqli_set_opt' => 1,
            'mysqli_stmt_attr_get' => 1,
            'mysqli_stmt_attr_set' => 1,
            'mysqli_stmt_data_seek' => 1,
            'mysqli_stmt_send_long_data' => 1,
            'ncurses_addch' => 0,
            'ncurses_addchnstr' => 1,
            'ncurses_addnstr' => 1,
            'ncurses_assume_default_colors' => 0,
            'ncurses_attroff' => 0,
            'ncurses_attron' => 0,
            'ncurses_attrset' => 0,
            'ncurses_bkgd' => 0,
            'ncurses_bkgdset' => 0,
            'ncurses_border' => 0,
            'ncurses_color_content' => 0,
            'ncurses_color_set' => 0,
            'ncurses_curs_set' => 0,
            'ncurses_define_key' => 1,
            'ncurses_delay_output' => 0,
            'ncurses_echochar' => 0,
            'ncurses_getmaxyx' => 1,
            'ncurses_getyx' => 1,
            'ncurses_halfdelay' => 0,
            'ncurses_has_key' => 0,
            'ncurses_hline' => 0,
            'ncurses_init_color' => 0,
            'ncurses_init_pair' => 0,
            'ncurses_insch' => 0,
            'ncurses_insdelln' => 0,
            'ncurses_keyok' => 0,
            'ncurses_mouse_trafo' => 0,
            'ncurses_mouseinterval' => 0,
            'ncurses_mousemask' => 0,
            'ncurses_move' => 0,
            'ncurses_move_panel' => 1,
            'ncurses_mvaddch' => 0,
            'ncurses_mvaddchnstr' => 0,
            'ncurses_mvaddchstr' => 0,
            'ncurses_mvaddnstr' => 0,
            'ncurses_mvaddstr' => 0,
            'ncurses_mvcur' => 0,
            'ncurses_mvdelch' => 0,
            'ncurses_mvgetch' => 0,
            'ncurses_mvhline' => 0,
            'ncurses_mvinch' => 0,
            'ncurses_mvwaddstr' => 1,
            'ncurses_napms' => 0,
            'ncurses_newpad' => 0,
            'ncurses_newwin' => 0,
            'ncurses_pair_content' => 0,
            'ncurses_pnoutrefresh' => 1,
            'ncurses_prefresh' => 1,
            'ncurses_refresh' => 0,
            'ncurses_scrl' => 0,
            'ncurses_slk_attroff' => 0,
            'ncurses_slk_attron' => 0,
            'ncurses_slk_attrset' => 0,
            'ncurses_slk_color' => 0,
            'ncurses_slk_init' => 0,
            'ncurses_slk_set' => 0,
            'ncurses_timeout' => 0,
            'ncurses_typeahead' => 0,
            'ncurses_ungetch' => 0,
            'ncurses_vidattr' => 0,
            'ncurses_vline' => 0,
            'ncurses_waddch' => 1,
            'ncurses_waddstr' => 2,
            'ncurses_wattroff' => 1,
            'ncurses_wattron' => 1,
            'ncurses_wattrset' => 1,
            'ncurses_wborder' => 1,
            'ncurses_wcolor_set' => 1,
            'ncurses_whline' => 1,
            'ncurses_wmouse_trafo' => 1,
            'ncurses_wmove' => 1,
            'ncurses_wvline' => 1,
            'ngettext' => 2,
            'nl_langinfo' => 0,
            'number_format' => 1,
            'ob_gzhandler' => 1,
            'ob_iconv_handler' => 1,
            'ob_implicit_flush' => 0,
            'ob_start' => 1,
            'openlog' => 1,
            'openssl_csr_sign' => 3,
            'openssl_pkcs7_encrypt' => 4,
            'openssl_pkcs7_sign' => 5,
            'openssl_pkcs7_verify' => 1,
            'openssl_private_decrypt' => 3,
            'openssl_private_encrypt' => 3,
            'openssl_public_decrypt' => 3,
            'openssl_public_encrypt' => 3,
            'openssl_sign' => 3,
            'openssl_verify' => 3,
            'openssl_x509_checkpurpose' => 1,
            'pack' => 1,
            'parse_url' => 1,
            'passthru' => 1,
            'pathinfo' => 1,
            'pcntl_alarm' => 0,
            'pcntl_getpriority' => 0,
            'pcntl_setpriority' => 0,
            'pcntl_signal' => 0,
            'pcntl_wait' => 0,
            'pcntl_waitpid' => 0,
            'pcntl_wexitstatus' => 0,
            'pcntl_wifexited' => 0,
            'pcntl_wifsignaled' => 0,
            'pcntl_wifstopped' => 0,
            'pcntl_wstopsig' => 0,
            'pcntl_wtermsig' => 0,
            'pfsockopen' => 1,
            'pg_connect' => 1,
            'pg_convert' => 3,
            'pg_delete' => 3,
            'pg_fetch_all_columns' => 1,
            'pg_fetch_array' => 1,
            'pg_fetch_assoc' => 1,
            'pg_fetch_object' => 1,
            'pg_fetch_result' => 1,
            'pg_fetch_row' => 1,
            'pg_field_is_null' => 1,
            'pg_field_name' => 1,
            'pg_field_prtlen' => 1,
            'pg_field_size' => 1,
            'pg_field_table' => 1,
            'pg_field_type' => 1,
            'pg_field_type_oid' => 1,
            'pg_get_notify' => 1,
            'pg_insert' => 3,
            'pg_lo_export' => 1,
            'pg_lo_open' => 1,
            'pg_lo_read' => 1,
            'pg_lo_seek' => 1,
            'pg_lo_unlink' => 1,
            'pg_lo_write' => 2,
            'pg_pconnect' => 1,
            'pg_result_error_field' => 1,
            'pg_result_seek' => 1,
            'pg_result_status' => 1,
            'pg_select' => 3,
            'pg_set_error_verbosity' => 1,
            'pg_update' => 4,
            'phpcredits' => 0,
            'phpinfo' => 0,
            'posix_access' => 1,
            'posix_getgrgid' => 0,
            'posix_getpgid' => 0,
            'posix_getpwuid' => 0,
            'posix_getsid' => 0,
            'posix_initgroups' => 1,
            'posix_isatty' => 0,
            'posix_kill' => 0,
            'posix_mkfifo' => 1,
            'posix_mknod' => 1,
            'posix_setegid' => 0,
            'posix_seteuid' => 0,
            'posix_setgid' => 0,
            'posix_setpgid' => 0,
            'posix_setuid' => 0,
            'posix_strerror' => 0,
            'posix_ttyname' => 0,
            'pow' => 0,
            'preg_grep' => 2,
            'preg_match' => 3,
            'preg_match_all' => 3,
            'preg_replace' => 3,
            'preg_replace_callback' => 3,
            'preg_split' => 2,
            'print_r' => 0,
            'printf' => 1,
            'proc_nice' => 0,
            'proc_terminate' => 1,
            'range' => 0,
            'readgzfile' => 1,
            'register_shutdown_function' => 1,
            'register_tick_function' => 1,
            'round' => 1,
            'rsort' => 1,
            'scandir' => 1,
            'sem_get' => 0,
            'serialize' => 0,
            'session_cache_expire' => 0,
            'session_set_cookie_params' => 0,
            'set_error_handler' => 1,
            'set_file_buffer' => 1,
            'set_magic_quotes_runtime' => 0,
            'set_time_limit' => 0,
            'setcookie' => 2,
            'setlocale' => 0,
            'setrawcookie' => 2,
            'settype' => 0,
            'shm_attach' => 0,
            'shm_detach' => 0,
            'shm_get_var' => 0,
            'shm_put_var' => 0,
            'shm_remove' => 0,
            'shm_remove_var' => 0,
            'shmop_close' => 0,
            'shmop_delete' => 0,
            'shmop_open' => 0,
            'shmop_read' => 0,
            'shmop_size' => 0,
            'shmop_write' => 0,
            'simplexml_load_file' => 2,
            'simplexml_load_string' => 2,
            'sizeof' => 1,
            'sleep' => 0,
            'socket_bind' => 2,
            'socket_connect' => 2,
            'socket_create' => 0,
            'socket_create_listen' => 0,
            'socket_create_pair' => 0,
            'socket_get_option' => 1,
            'socket_getpeername' => 2,
            'socket_getsockname' => 2,
            'socket_listen' => 1,
            'socket_read' => 1,
            'socket_recv' => 2,
            'socket_recvfrom' => 2,
            'socket_select' => 3,
            'socket_send' => 2,
            'socket_sendto' => 2,
            'socket_set_blocking' => 1,
            'socket_set_option' => 1,
            'socket_set_timeout' => 1,
            'socket_shutdown' => 1,
            'socket_strerror' => 0,
            'socket_write' => 2,
            'sort' => 1,
            'split' => 2,
            'spliti' => 2,
            'sprintf' => 1,
            'srand' => 0,
            'str_ireplace' => 3,
            'str_pad' => 1,
            'str_repeat' => 1,
            'str_replace' => 3,
            'str_split' => 1,
            'str_word_count' => 1,
            'strcspn' => 2,
            'stream_copy_to_stream' => 2,
            'stream_filter_append' => 2,
            'stream_filter_prepend' => 2,
            'stream_get_contents' => 1,
            'stream_get_line' => 1,
            'stream_select' => 3,
            'stream_set_blocking' => 1,
            'stream_set_timeout' => 1,
            'stream_set_write_buffer' => 1,
            'stream_socket_client' => 1,
            'stream_socket_enable_crypto' => 2,
            'stream_socket_pair' => 0,
            'stream_socket_recvfrom' => 1,
            'stream_socket_sendto' => 2,
            'stream_socket_server' => 1,
            'stream_socket_shutdown' => 1,
            'strftime' => 1,
            'stripos' => 2,
            'strncasecmp' => 2,
            'strncmp' => 2,
            'strpos' => 2,
            'strripos' => 2,
            'strrpos' => 2,
            'strspn' => 2,
            'strtotime' => 1,
            'strval' => 0,
            'substr' => 1,
            'substr_compare' => 2,
            'substr_count' => 2,
            'substr_replace' => 2,
            'syslog' => 0,
            'system' => 1,
            'time_nanosleep' => 0,
            'timezone_identifiers_list' => 0,
            'timezone_name_from_abbr' => 1,
            'token_name' => 0,
            'touch' => 1,
            'trigger_error' => 1,
            'umask' => 0,
            'unixtojd' => 0,
            'user_error' => 1,
            'usleep' => 0,
            'var_dump' => 0,
            'var_export' => 0,
            'wddx_serialize_value' => 0,
            'wordwrap' => 1,
            'xml_error_string' => 0,
            'xml_parser_get_option' => 1,
            'xml_parser_set_option' => 1,
            'zip_entry_read' => 1,
        ),

        'PHP_Object_Object' => array(
            'array_fill' => 2,
            'array_fill_keys' => 1,
            'array_pad' => 2,
            'array_push' => 1,
            'array_search' => 0,
            'array_splice' => 3,
            'array_unshift' => 1,
            'assert' => 0,
            'call_user_func' => 1,
            'call_user_method' => 1,
            'call_user_method_array' => 1,
            'class_implements' => 0,
            'class_parents' => 0,
            'count' => 0,
            'date_create' => 1,
            'date_date_set' => 0,
            'date_format' => 0,
            'date_isodate_set' => 0,
            'date_modify' => 0,
            'date_offset_get' => 0,
            'date_time_set' => 0,
            'date_timezone_get' => 0,
            'date_timezone_set' => 0,
            'debug_zval_dump' => 0,
            'dom_import_simplexml' => 0,
            'filter_var' => 0,
            'get_class' => 0,
            'get_class_methods' => 0,
            'get_object_vars' => 0,
            'get_parent_class' => 0,
            'gettype' => 0,
            'in_array' => 0,
            'intval' => 0,
            'is_a' => 0,
            'is_array' => 0,
            'is_bool' => 0,
            'is_double' => 0,
            'is_float' => 0,
            'is_int' => 0,
            'is_integer' => 0,
            'is_long' => 0,
            'is_null' => 0,
            'is_numeric' => 0,
            'is_object' => 0,
            'is_real' => 0,
            'is_resource' => 0,
            'is_scalar' => 0,
            'is_soap_fault' => 0,
            'is_string' => 0,
            'is_subclass_of' => 0,
            'iterator_apply' => 0,
            'iterator_count' => 0,
            'iterator_to_array' => 0,
            'json_encode' => 0,
            'mb_convert_variables' => 2,
            'method_exists' => 0,
            'mysqli_affected_rows' => 0,
            'mysqli_autocommit' => 0,
            'mysqli_bind_param' => 0,
            'mysqli_bind_result' => 0,
            'mysqli_change_user' => 0,
            'mysqli_character_set_name' => 0,
            'mysqli_client_encoding' => 0,
            'mysqli_close' => 0,
            'mysqli_commit' => 0,
            'mysqli_data_seek' => 0,
            'mysqli_disable_reads_from_master' => 0,
            'mysqli_disable_rpl_parse' => 0,
            'mysqli_dump_debug_info' => 0,
            'mysqli_enable_reads_from_master' => 0,
            'mysqli_enable_rpl_parse' => 0,
            'mysqli_errno' => 0,
            'mysqli_error' => 0,
            'mysqli_escape_string' => 0,
            'mysqli_fetch_array' => 0,
            'mysqli_fetch_assoc' => 0,
            'mysqli_fetch_field' => 0,
            'mysqli_fetch_field_direct' => 0,
            'mysqli_fetch_fields' => 0,
            'mysqli_fetch_lengths' => 0,
            'mysqli_fetch_object' => 0,
            'mysqli_fetch_row' => 0,
            'mysqli_field_count' => 0,
            'mysqli_field_seek' => 0,
            'mysqli_field_tell' => 0,
            'mysqli_free_result' => 0,
            'mysqli_get_charset' => 0,
            'mysqli_get_host_info' => 0,
            'mysqli_get_proto_info' => 0,
            'mysqli_get_server_info' => 0,
            'mysqli_get_server_version' => 0,
            'mysqli_get_warnings' => 0,
            'mysqli_info' => 0,
            'mysqli_insert_id' => 0,
            'mysqli_kill' => 0,
            'mysqli_master_query' => 0,
            'mysqli_more_results' => 0,
            'mysqli_multi_query' => 0,
            'mysqli_next_result' => 0,
            'mysqli_num_fields' => 0,
            'mysqli_num_rows' => 0,
            'mysqli_options' => 0,
            'mysqli_ping' => 0,
            'mysqli_prepare' => 0,
            'mysqli_query' => 0,
            'mysqli_real_connect' => 0,
            'mysqli_real_escape_string' => 0,
            'mysqli_real_query' => 0,
            'mysqli_rollback' => 0,
            'mysqli_rpl_parse_enabled' => 0,
            'mysqli_rpl_probe' => 0,
            'mysqli_rpl_query_type' => 0,
            'mysqli_select_db' => 0,
            'mysqli_send_query' => 0,
            'mysqli_set_charset' => 0,
            'mysqli_set_local_infile_default' => 0,
            'mysqli_set_local_infile_handler' => 0,
            'mysqli_set_opt' => 0,
            'mysqli_slave_query' => 0,
            'mysqli_sqlstate' => 0,
            'mysqli_ssl_set' => 0,
            'mysqli_stat' => 0,
            'mysqli_stmt_affected_rows' => 0,
            'mysqli_stmt_attr_get' => 0,
            'mysqli_stmt_attr_set' => 0,
            'mysqli_stmt_bind_param' => 0,
            'mysqli_stmt_bind_result' => 0,
            'mysqli_stmt_close' => 0,
            'mysqli_stmt_data_seek' => 0,
            'mysqli_stmt_errno' => 0,
            'mysqli_stmt_error' => 0,
            'mysqli_stmt_execute' => 0,
            'mysqli_stmt_fetch' => 0,
            'mysqli_stmt_field_count' => 0,
            'mysqli_stmt_free_result' => 0,
            'mysqli_stmt_get_warnings' => 0,
            'mysqli_stmt_init' => 0,
            'mysqli_stmt_insert_id' => 0,
            'mysqli_stmt_num_rows' => 0,
            'mysqli_stmt_param_count' => 0,
            'mysqli_stmt_prepare' => 0,
            'mysqli_stmt_reset' => 0,
            'mysqli_stmt_result_metadata' => 0,
            'mysqli_stmt_send_long_data' => 0,
            'mysqli_stmt_sqlstate' => 0,
            'mysqli_stmt_store_result' => 0,
            'mysqli_store_result' => 0,
            'mysqli_thread_id' => 0,
            'mysqli_use_result' => 0,
            'mysqli_warning_count' => 0,
            'pack' => 1,
            'print_r' => 0,
            'property_exists' => 0,
            'register_shutdown_function' => 1,
            'register_tick_function' => 1,
            'serialize' => 0,
            'settype' => 0,
            'simplexml_import_dom' => 0,
            'sizeof' => 0,
            'spl_object_hash' => 0,
            'timezone_name_get' => 0,
            'timezone_offset_get' => 0,
            'timezone_transitions_get' => 0,
            'var_dump' => 0,
            'var_export' => 0,
            'wddx_serialize_value' => 0,
            'xml_set_object' => 1,
        ),

        'PHP_Object_Resource' => array(
            'array_fill' => 2,
            'array_fill_keys' => 1,
            'array_pad' => 2,
            'array_push' => 1,
            'array_search' => 0,
            'array_splice' => 3,
            'array_unshift' => 1,
            'assert' => 0,
            'bzclose' => 0,
            'bzerrno' => 0,
            'bzerror' => 0,
            'bzerrstr' => 0,
            'bzflush' => 0,
            'bzread' => 0,
            'bzwrite' => 0,
            'call_user_func' => 1,
            'call_user_method' => 2,
            'closedir' => 0,
            'copy' => 2,
            'debug_zval_dump' => 0,
            'dba_close' => 0,
            'dba_delete' => 1,
            'dba_exists' => 1,
            'dba_fetch' => 1,
            'dba_firstkey' => 0,
            'dba_insert' => 2,
            'dba_nextkey' => 0,
            'dba_optimize' => 0,
            'dba_replace' => 2,
            'dba_sync' => 0,
            'fclose' => 0,
            'feof' => 0,
            'fflush' => 0,
            'fgetc' => 0,
            'fgetcsv' => 0,
            'fgets' => 0,
            'fgetss' => 0,
            'file' => 2,
            'file_get_contents' => 2,
            'file_put_contents' => 3,
            'filter_var' => 0,
            'floatval' => 0,
            'flock' => 0,
            'fopen' => 3,
            'fpassthru' => 0,
            'fprintf' => 0,
            'fputcsv' => 0,
            'fputs' => 0,
            'fread' => 0,
            'fscanf' => 0,
            'fseek' => 0,
            'fstat' => 0,
            'ftell' => 0,
            'ftp_alloc' => 0,
            'ftp_cdup' => 0,
            'ftp_chdir' => 0,
            'ftp_chmod' => 0,
            'ftp_close' => 0,
            'ftp_delete' => 0,
            'ftp_exec' => 0,
            'ftp_fget' => 0,
            'ftp_fput' => 0,
            'ftp_get' => 0,
            'ftp_get_option' => 0,
            'ftp_login' => 0,
            'ftp_mdtm' => 0,
            'ftp_mkdir' => 0,
            'ftp_nb_continue' => 0,
            'ftp_nb_fget' => 0,
            'ftp_nb_fput' => 0,
            'ftp_nb_get' => 0,
            'ftp_nb_put' => 0,
            'ftp_nlist' => 0,
            'ftp_pasv' => 0,
            'ftp_put' => 0,
            'ftp_pwd' => 0,
            'ftp_quit' => 0,
            'ftp_raw' => 0,
            'ftp_rawlist' => 0,
            'ftp_rename' => 0,
            'ftp_rmdir' => 0,
            'ftp_set_option' => 0,
            'ftp_site' => 0,
            'ftp_size' => 0,
            'ftp_systype' => 0,
            'ftruncate' => 0,
            'fwrite' => 0,
            'get_resource_type' => 0,
            'gettype' => 0,
            'gzclose' => 0,
            'gzeof' => 0,
            'gzgetc' => 0,
            'gzgets' => 0,
            'gzgetss' => 0,
            'gzpassthru' => 0,
            'gzputs' => 0,
            'gzread' => 0,
            'gzrewind' => 0,
            'gzseek' => 0,
            'gztell' => 0,
            'gzwrite' => 0,
            'hash_final' => 0,
            'hash_update' => 0,
            'hash_update_file' => 0,
            'hash_update_stream' => 0,
            'in_array' => 0,
            'intval' => 0,
            'is_array' => 0,
            'is_bool' => 0,
            'is_double' => 0,
            'is_float' => 0,
            'is_int' => 0,
            'is_integer' => 0,
            'is_long' => 0,
            'is_null' => 0,
            'is_numeric' => 0,
            'is_object' => 0,
            'is_real' => 0,
            'is_resource' => 0,
            'is_scalar' => 0,
            'is_string' => 0,
            'libxml_set_streams_context' => 0,
            'mkdir' => 3,
            'msg_receive' => 0,
            'msg_remove_queue' => 0,
            'msg_send' => 0,
            'msg_set_queue' => 0,
            'msg_stat_queue' => 0,
            'mysql_affected_rows' => 0,
            'mysql_client_encoding' => 0,
            'mysql_close' => 0,
            'mysql_data_seek' => 0,
            'mysql_db_name' => 0,
            'mysql_db_query' => 2,
            'mysql_errno' => 0,
            'mysql_error' => 0,
            'mysql_fetch_array' => 0,
            'mysql_fetch_assoc' => 0,
            'mysql_fetch_field' => 0,
            'mysql_fetch_lengths' => 0,
            'mysql_fetch_object' => 0,
            'mysql_fetch_row' => 0,
            'mysql_field_flags' => 0,
            'mysql_field_len' => 0,
            'mysql_field_name' => 0,
            'mysql_field_seek' => 0,
            'mysql_field_table' => 0,
            'mysql_field_type' => 0,
            'mysql_free_result' => 0,
            'mysql_get_host_info' => 0,
            'mysql_get_proto_info' => 0,
            'mysql_get_server_info' => 0,
            'mysql_info' => 0,
            'mysql_insert_id' => 0,
            'mysql_list_dbs' => 0,
            'mysql_list_fields' => 2,
            'mysql_list_processes' => 0,
            'mysql_list_tables' => 1,
            'mysql_num_fields' => 0,
            'mysql_num_rows' => 0,
            'mysql_ping' => 0,
            'mysql_query' => 1,
            'mysql_real_escape_string' => 1,
            'mysql_result' => 0,
            'mysql_select_db' => 1,
            'mysql_set_charset' => 1,
            'mysql_stat' => 0,
            'mysql_tablename' => 0,
            'mysql_thread_id' => 0,
            'mysql_unbuffered_query' => 1,
            'ncurses_bottom_panel' => 0,
            'ncurses_del_panel' => 0,
            'ncurses_delwin' => 0,
            'ncurses_getmaxyx' => 0,
            'ncurses_getyx' => 0,
            'ncurses_hide_panel' => 0,
            'ncurses_keypad' => 0,
            'ncurses_meta' => 0,
            'ncurses_move_panel' => 0,
            'ncurses_mvwaddstr' => 0,
            'ncurses_new_panel' => 0,
            'ncurses_panel_above' => 0,
            'ncurses_panel_below' => 0,
            'ncurses_panel_window' => 0,
            'ncurses_pnoutrefresh' => 0,
            'ncurses_prefresh' => 0,
            'ncurses_replace_panel' => 0,
            'ncurses_show_panel' => 0,
            'ncurses_top_panel' => 0,
            'ncurses_waddch' => 0,
            'ncurses_waddstr' => 0,
            'ncurses_wattroff' => 0,
            'ncurses_wattron' => 0,
            'ncurses_wattrset' => 0,
            'ncurses_wborder' => 0,
            'ncurses_wclear' => 0,
            'ncurses_wcolor_set' => 0,
            'ncurses_werase' => 0,
            'ncurses_wgetch' => 0,
            'ncurses_whline' => 0,
            'ncurses_wmouse_trafo' => 0,
            'ncurses_wmove' => 0,
            'ncurses_wnoutrefresh' => 0,
            'ncurses_wrefresh' => 0,
            'ncurses_wstandend' => 0,
            'ncurses_wstandout' => 0,
            'ncurses_wvline' => 0,
            'opendir' => 1,
            'openssl_csr_export' => 0,
            'openssl_csr_export_to_file' => 0,
            'openssl_csr_new' => 1,
            'openssl_free_key' => 0,
            'openssl_pkey_free' => 0,
            'openssl_pkey_get_details' => 0,
            'openssl_x509_free' => 0,
            'pack' => 1,
            'pclose' => 0,
            'pg_affected_rows' => 0,
            'pg_cancel_query' => 0,
            'pg_client_encoding' => 0,
            'pg_close' => 0,
            'pg_connection_busy' => 0,
            'pg_connection_reset' => 0,
            'pg_connection_status' => 0,
            'pg_convert' => 0,
            'pg_copy_from' => 0,
            'pg_copy_to' => 0,
            'pg_dbname' => 0,
            'pg_delete' => 0,
            'pg_end_copy' => 0,
            'pg_escape_bytea' => 0,
            'pg_escape_string' => 0,
            'pg_execute' => 0,
            'pg_fetch_all' => 0,
            'pg_fetch_all_columns' => 0,
            'pg_fetch_array' => 0,
            'pg_fetch_assoc' => 0,
            'pg_fetch_object' => 0,
            'pg_fetch_result' => 0,
            'pg_fetch_row' => 0,
            'pg_field_is_null' => 0,
            'pg_field_name' => 0,
            'pg_field_num' => 0,
            'pg_field_prtlen' => 0,
            'pg_field_size' => 0,
            'pg_field_table' => 0,
            'pg_field_type' => 0,
            'pg_field_type_oid' => 0,
            'pg_free_result' => 0,
            'pg_get_notify' => 0,
            'pg_get_pid' => 0,
            'pg_get_result' => 0,
            'pg_host' => 0,
            'pg_insert' => 0,
            'pg_last_error' => 0,
            'pg_last_notice' => 0,
            'pg_last_oid' => 0,
            'pg_lo_close' => 0,
            'pg_lo_create' => 0,
            'pg_lo_export' => 0,
            'pg_lo_import' => 0,
            'pg_lo_open' => 0,
            'pg_lo_read' => 0,
            'pg_lo_read_all' => 0,
            'pg_lo_seek' => 0,
            'pg_lo_tell' => 0,
            'pg_lo_unlink' => 0,
            'pg_lo_write' => 0,
            'pg_meta_data' => 0,
            'pg_num_fields' => 0,
            'pg_num_rows' => 0,
            'pg_options' => 0,
            'pg_parameter_status' => 0,
            'pg_ping' => 0,
            'pg_port' => 0,
            'pg_prepare' => 0,
            'pg_query_params' => 0,
            'pg_result_error' => 0,
            'pg_result_error_field' => 0,
            'pg_result_seek' => 0,
            'pg_result_status' => 0,
            'pg_select' => 0,
            'pg_send_execute' => 0,
            'pg_send_prepare' => 0,
            'pg_send_query' => 0,
            'pg_send_query_params' => 0,
            'pg_set_error_verbosity' => 0,
            'pg_trace' => 2,
            'pg_transaction_status' => 0,
            'pg_tty' => 0,
            'pg_untrace' => 0,
            'pg_update' => 0,
            'pg_version' => 0,
            'proc_close' => 0,
            'proc_get_status' => 0,
            'proc_terminate' => 0,
            'readdir' => 0,
            'readfile' => 2,
            'register_shutdown_function' => 1,
            'register_tick_function' => 1,
            'rename' => 2,
            'rewind' => 0,
            'rewinddir' => 0,
            'rmdir' => 1,
            'scandir' => 2,
            'sem_acquire' => 0,
            'sem_release' => 0,
            'sem_remove' => 0,
            'set_file_buffer' => 0,
            'settype' => 0,
            'socket_accept' => 0,
            'socket_bind' => 0,
            'socket_clear_error' => 0,
            'socket_close' => 0,
            'socket_connect' => 0,
            'socket_get_option' => 0,
            'socket_get_status' => 0,
            'socket_getpeername' => 0,
            'socket_getsockname' => 0,
            'socket_last_error' => 0,
            'socket_listen' => 0,
            'socket_read' => 0,
            'socket_recv' => 0,
            'socket_recvfrom' => 0,
            'socket_send' => 0,
            'socket_sendto' => 0,
            'socket_set_block' => 0,
            'socket_set_blocking' => 0,
            'socket_set_nonblock' => 0,
            'socket_set_option' => 0,
            'socket_set_timeout' => 0,
            'socket_shutdown' => 0,
            'socket_write' => 0,
            'stream_bucket_append' => 0,
            'stream_bucket_make_writeable' => 0,
            'stream_bucket_new' => 0,
            'stream_bucket_prepend' => 0,
            'stream_context_get_options' => 0,
            'stream_context_set_option' => 0,
            'stream_context_set_params' => 0,
            'stream_copy_to_stream' => 0,
            'stream_filter_append' => 0,
            'stream_filter_prepend' => 0,
            'stream_filter_remove' => 0,
            'stream_get_contents' => 0,
            'stream_get_line' => 0,
            'stream_get_meta_data' => 0,
            'stream_set_blocking' => 0,
            'stream_set_timeout' => 0,
            'stream_set_write_buffer' => 0,
            'stream_socket_accept' => 0,
            'stream_socket_client' => 5,
            'stream_socket_enable_crypto' => 0,
            'stream_socket_get_name' => 0,
            'stream_socket_recvfrom' => 0,
            'stream_socket_sendto' => 0,
            'stream_socket_server' => 4,
            'stream_socket_shutdown' => 0,
            'unlink' => 1,
            'var_dump' => 0,
            'var_export' => 0,
            'vfprintf' => 0,
            'wddx_add_vars' => 0,
            'wddx_packet_end' => 0,
            'wddx_serialize_value' => 0,
            'xml_get_current_byte_index' => 0,
            'xml_get_current_column_number' => 0,
            'xml_get_current_line_number' => 0,
            'xml_get_error_code' => 0,
            'xml_parse' => 0,
            'xml_parse_into_struct' => 0,
            'xml_parser_free' => 0,
            'xml_parser_get_option' => 0,
            'xml_parser_set_option' => 0,
            'xml_set_character_data_handler' => 0,
            'xml_set_default_handler' => 0,
            'xml_set_element_handler' => 0,
            'xml_set_end_namespace_decl_handler' => 0,
            'xml_set_external_entity_ref_handler' => 0,
            'xml_set_notation_decl_handler' => 0,
            'xml_set_object' => 0,
            'xml_set_processing_instruction_handler' => 0,
            'xml_set_start_namespace_decl_handler' => 0,
            'xml_set_unparsed_entity_decl_handler' => 0,
            'xmlwriter_end_attribute' => 0,
            'xmlwriter_end_cdata' => 0,
            'xmlwriter_end_comment' => 0,
            'xmlwriter_end_document' => 0,
            'xmlwriter_end_dtd' => 0,
            'xmlwriter_end_dtd_attlist' => 0,
            'xmlwriter_end_dtd_element' => 0,
            'xmlwriter_end_dtd_entity' => 0,
            'xmlwriter_end_element' => 0,
            'xmlwriter_end_pi' => 0,
            'xmlwriter_flush' => 0,
            'xmlwriter_full_end_element' => 0,
            'xmlwriter_output_memory' => 0,
            'xmlwriter_set_indent' => 0,
            'xmlwriter_set_indent_string' => 0,
            'xmlwriter_start_attribute' => 0,
            'xmlwriter_start_attribute_ns' => 0,
            'xmlwriter_start_cdata' => 0,
            'xmlwriter_start_comment' => 0,
            'xmlwriter_start_document' => 0,
            'xmlwriter_start_dtd' => 0,
            'xmlwriter_start_dtd_attlist' => 0,
            'xmlwriter_start_dtd_element' => 0,
            'xmlwriter_start_dtd_entity' => 0,
            'xmlwriter_start_element' => 0,
            'xmlwriter_start_element_ns' => 0,
            'xmlwriter_start_pi' => 0,
            'xmlwriter_text' => 0,
            'xmlwriter_write_attribute' => 0,
            'xmlwriter_write_attribute_ns' => 0,
            'xmlwriter_write_cdata' => 0,
            'xmlwriter_write_comment' => 0,
            'xmlwriter_write_dtd' => 0,
            'xmlwriter_write_dtd_attlist' => 0,
            'xmlwriter_write_dtd_element' => 0,
            'xmlwriter_write_dtd_entity' => 0,
            'xmlwriter_write_element' => 0,
            'xmlwriter_write_element_ns' => 0,
            'xmlwriter_write_pi' => 0,
            'xmlwriter_write_raw' => 0,
            'zip_close' => 0,
            'zip_entry_close' => 0,
            'zip_entry_compressedsize' => 0,
            'zip_entry_compressionmethod' => 0,
            'zip_entry_filesize' => 0,
            'zip_entry_name' => 0,
            'zip_entry_open' => 0,
            'zip_entry_read' => 0,
            'zip_read' => 0,
        ),

        'PHP_Object_String' =>  array(
            '_' => 0,
            'addcslashes' => 0,
            'addslashes' => 0,
            'array_fill' => 2,
            'array_fill_keys' => 1,
            'array_key_exists' => 0,
            'array_keys' => 1,
            'array_pad' => 2,
            'array_push' => 1,
            'array_search' => 0,
            'array_splice' => 3,
            'array_unshift' => 1,
            'assert' => 0,
            'assert_options' => 1,
            'base64_decode' => 0,
            'base64_encode' => 0,
            'base_convert' => 0,
            'basename' => 0,
            'bcadd' => 0,
            'bccomp' => 0,
            'bcdiv' => 0,
            'bcmod' => 0,
            'bcmul' => 0,
            'bcpow' => 0,
            'bcpowmod' => 0,
            'bcsqrt' => 0,
            'bcsub' => 0,
            'bin2hex' => 0,
            'bind_textdomain_codeset' => 0,
            'bindec' => 0,
            'bindtextdomain' => 0,
            'bzcompress' => 0,
            'bzdecompress' => 0,
            'bzopen' => 0,
            'bzwrite' => 1,
            'call_user_func' => 1,
            'call_user_method' => 2,
            'chdir' => 0,
            'checkdnsrr' => 0,
            'chgrp' => 0,
            'chmod' => 0,
            'chop' => 0,
            'chown' => 0,
            'chroot' => 0,
            'chunk_split' => 0,
            'class_exists' => 0,
            'class_implements' => 0,
            'class_parents' => 0,
            'clearstatcache' => 1,
            'compact' => 0,
            'constant' => 0,
            'convert_cyr_string' => 0,
            'convert_uudecode' => 0,
            'convert_uuencode' => 0,
            'copy' => 0,
            'count_chars' => 0,
            'crc32' => 0,
            'create_function' => 0,
            'crypt' => 0,
            'ctype_alnum' => 0,
            'ctype_alpha' => 0,
            'ctype_cntrl' => 0,
            'ctype_digit' => 0,
            'ctype_graph' => 0,
            'ctype_lower' => 0,
            'ctype_print' => 0,
            'ctype_punct' => 0,
            'ctype_space' => 0,
            'ctype_upper' => 0,
            'ctype_xdigit' => 0,
            'date' => 0,
            'date_create' => 0,
            'date_default_timezone_set' => 0,
            'date_format' => 1,
            'date_modify' => 1,
            'date_parse' => 0,
            'dba_delete' => 0,
            'dba_exists' => 0,
            'dba_fetch' => 0,
            'dba_insert' => 0,
            'dba_key_split' => 0,
            'dba_open' => 0,
            'dba_popen' => 0,
            'dba_replace' => 0,
            'dcgettext' => 0,
            'dcngettext' => 0,
            'debug_zval_dump' => 0,
            'define' => 1,
            'defined' => 0,
            'dgettext' => 0,
            'dir' => 0,
            'dirname' => 0,
            'disk_free_space' => 0,
            'disk_total_space' => 0,
            'diskfreespace' => 0,
            'dl' => 0,
            'dngettext' => 0,
            'dns_check_record' => 0,
            'dns_get_record' => 0,
            'dns_get_mx' => 0,
            'doubleval' => 0,
            'ereg' => 1,
            'ereg_replace' => 2,
            'eregi' => 1,
            'eregi_replace' => 2,
            'error_log' => 0,
            'escapeshellarg' => 0,
            'escapeshellcmd' => 0,
            'exec' => 0,
            'exif_imagetype' => 0,
            'exif_read_data' => 0,
            'exif_tagname' => 0,
            'exif_thumbnail' => 0,
            'explode' => 1,
            'extension_loaded' => 0,
            'extract' => 2,
            'ezmlm_hash' => 0,
            'fgetcsv' => 2,
            'fgetss' => 2,
            'file' => 0,
            'file_exists' => 0,
            'file_get_contents' => 0,
            'file_put_contents' => 1,
            'fileatime' => 0,
            'filectime' => 0,
            'filegroup' => 0,
            'fileinode' => 0,
            'filemtime' => 0,
            'fileowner' => 0,
            'fileperms' => 0,
            'filesize' => 0,
            'filetype' => 0,
            'filter_has_var' => 1,
            'filter_id' => 0,
            'filter_input' => 1,
            'filter_var' => 0,
            'floatval' => 0,
            'fnmatch' => 0,
            'fopen' => 0,
            'fprintf' => 1,
            'fputcsv' => 2,
            'fputs' => 1,
            'fscanf' => 1,
            'fsockopen' => 0,
            'ftok' => 0,
            'ftp_alloc' => 2,
            'ftp_chdir' => 1,
            'ftp_chmod' => 2,
            'ftp_connect' => 0,
            'ftp_delete' => 1,
            'ftp_exec' => 1,
            'ftp_fget' => 2,
            'ftp_fput' => 1,
            'ftp_get' => 1,
            'ftp_login' => 1,
            'ftp_mdtm' => 1,
            'ftp_mkdir' => 1,
            'ftp_nb_fget' => 2,
            'ftp_nb_fput' => 1,
            'ftp_nb_get' => 1,
            'ftp_nb_put' => 1,
            'ftp_nlist' => 1,
            'ftp_put' => 1,
            'ftp_raw' => 1,
            'ftp_rawlist' => 1,
            'ftp_rename' => 1,
            'ftp_rmdir' => 1,
            'ftp_site' => 1,
            'ftp_size' => 1,
            'ftp_ssl_connect' => 0,
            'function_exists' => 0,
            'fwrite' => 1,
            'get_browser' => 0,
            'get_cfg_var' => 0,
            'get_class_methods' => 0,
            'get_class_vars' => 0,
            'get_extension_funcs' => 0,
            'get_headers' => 0,
            'get_meta_tags' => 0,
            'get_parent_class' => 0,
            'getenv' => 0,
            'gethostbyaddr' => 0,
            'gethostbyname' => 0,
            'gethostbynamel' => 0,
            'getimagesize' => 0,
            'getmxrr' => 0,
            'getopt' => 0,
            'getprotobyname' => 0,
            'getservbyname' => 0,
            'getservbyport' => 1,
            'gettext' => 0,
            'gettype' => 0,
            'glob' => 0,
            'gmdate' => 0,
            'gmstrftime' => 0,
            'gzcompress' => 0,
            'gzdeflate' => 0,
            'gzencode' => 0,
            'gzfile' => 0,
            'gzgetss' => 2,
            'gzinflate' => 0,
            'gzopen' => 0,
            'gzputs' => 1,
            'gzuncompress' => 0,
            'gzwrite' => 1,
            'hash' => 0,
            'hash_file' => 0,
            'hash_hmac' => 0,
            'hash_hmac_file' => 0,
            'hash_init' => 0,
            'hash_update' => 1,
            'hash_update_file' => 1,
            'header' => 0,
            'headers_sent' => 0,
            'hebrev' => 0,
            'hebrevc' => 0,
            'hexdec' => 0,
            'highlight_file' => 0,
            'highlight_string' => 0,
            'html_entity_decode' => 0,
            'htmlentities' => 0,
            'htmlspecialchars' => 0,
            'htmlspecialchars_decode' => 0,
            'http_build_query' => 1,
            'iconv' => 0,
            'iconv_get_encoding' => 0,
            'iconv_mime_decode' => 0,
            'iconv_mime_decode_headers' => 0,
            'iconv_mime_encode' => 0,
            'iconv_set_encoding' => 0,
            'iconv_strlen' => 0,
            'iconv_strpos' => 0,
            'iconv_strrpos' => 0,
            'iconv_substr' => 0,
            'idate' => 0,
            'ignore_user_abort' => 0,
            'implode' => 0,
            'import_request_variables' => 0,
            'inet_ntop' => 0,
            'inet_pton' => 0,
            'in_array' => 0,
            'ini_alter' => 0,
            'ini_get' => 0,
            'ini_get_all' => 0,
            'ini_restore' => 0,
            'ini_set' => 0,
            'interface_exists' => 0,
            'intval' => 0,
            'ip2long' => 0,
            'iptcembed' => 0,
            'iptcparse' => 0,
            'is_a' => 1,
            'is_array' => 0,
            'is_bool' => 0,
            'is_callable' => 2,
            'is_dir' => 0,
            'is_double' => 0,
            'is_executable' => 0,
            'is_file' => 0,
            'is_float' => 0,
            'is_int' => 0,
            'is_integer' => 0,
            'is_link' => 0,
            'is_long' => 0,
            'is_null' => 0,
            'is_numeric' => 0,
            'is_object' => 0,
            'is_readable' => 0,
            'is_real' => 0,
            'is_resource' => 0,
            'is_scalar' => 0,
            'is_string' => 0,
            'is_subclass_of' => 0,
            'is_uploaded_file' => 0,
            'is_writable' => 0,
            'is_writeable' => 0,
            'join' => 0,
            'json_decode' => 0,
            'json_encode' => 0,
            'key_exists' => 0,
            'lchgrp' => 0,
            'lchown' => 0,
            'levenshtein' => 0,
            'link' => 0,
            'linkinfo' => 0,
            'lstat' => 0,
            'ltrim' => 0,
            'mail' => 0,
            'mb_check_encoding' => 0,
            'mb_convert_case' => 0,
            'mb_convert_encoding' => 0,
            'mb_convert_kana' => 0,
            'mb_convert_variables' => 2,
            'mb_decode_mimeheader' => 0,
            'mb_decode_numericentity' => 0,
            'mb_detect_encoding' => 0,
            'mb_detect_order' => 0,
            'mb_encode_mimeheader' => 0,
            'mb_encode_numericentity' => 0,
            'mb_ereg' => 1,
            'mb_ereg_match' => 1,
            'mb_ereg_replace' => 2,
            'mb_ereg_search' => 0,
            'mb_ereg_search_init' => 0,
            'mb_ereg_search_pos' => 0,
            'mb_ereg_search_regs' => 0,
            'mb_eregi' => 1,
            'mb_eregi_replace' => 2,
            'mb_get_info' => 0,
            'mb_http_input' => 0,
            'mb_http_output' => 0,
            'mb_internal_encoding' => 0,
            'mb_language' => 0,
            'mb_output_handler' => 0,
            'mb_parse_str' => 0,
            'mb_preferred_mime_name' => 0,
            'mb_regex_encoding' => 0,
            'mb_regex_set_options' => 0,
            'mb_send_mail' => 0,
            'mb_split' => 1,
            'mb_strcut' => 0,
            'mb_strimwidth' => 0,
            'mb_stripos' => 0,
            'mb_stristr' => 0,
            'mb_strlen' => 0,
            'mb_strpos' => 0,
            'mb_strrchr' => 0,
            'mb_strrichr' => 0,
            'mb_strripos' => 0,
            'mb_strrpos' => 0,
            'mb_strstr' => 0,
            'mb_strtolower' => 0,
            'mb_strtoupper' => 0,
            'mb_strwidth' => 0,
            'mb_substitute_character' => 0,
            'mb_substr' => 0,
            'mb_substr_count' => 0,
            'md5' => 0,
            'md5_file' => 0,
            'metaphone' => 0,
            'method_exists' => 0,
            'mime_content_type' => 0,
            'mkdir' => 0,
            'money_format' => 0,
            'move_uploaded_file' => 0,
            'msg_receive' => 4,
            'msg_send' => 2,
            'mysql_connect' => 0,
            'mysql_db_name' => 2,
            'mysql_db_query' => 0,
            'mysql_escape_string' => 0,
            'mysql_fetch_object' => 1,
            'mysql_list_fields' => 0,
            'mysql_list_tables' => 0,
            'mysql_pconnect' => 0,
            'mysql_query' => 0,
            'mysql_real_escape_string' => 0,
            'mysql_result' => 2,
            'mysql_select_db' => 0,
            'mysql_set_charset' => 0,
            'mysql_unbuffered_query' => 0,
            'mysqli_bind_param' => 1,
            'mysqli_change_user' => 1,
            'mysqli_connect' => 0,
            'mysqli_debug' => 0,
            'mysqli_escape_string' => 1,
            'mysqli_fetch_object' => 1,
            'mysqli_master_query' => 1,
            'mysqli_multi_query' => 1,
            'mysqli_options' => 2,
            'mysqli_prepare' => 1,
            'mysqli_query' => 1,
            'mysqli_real_connect' => 1,
            'mysqli_real_escape_string' => 1,
            'mysqli_real_query' => 1,
            'mysqli_rpl_query_type' => 1,
            'mysqli_select_db' => 1,
            'mysqli_send_query' => 1,
            'mysqli_set_charset' => 1,
            'mysqli_slave_query' => 1,
            'mysqli_ssl_set' => 1,
            'mysqli_stmt_bind_param' => 1,
            'mysqli_stmt_prepare' => 1,
            'mysqli_stmt_send_long_data' => 2,
            'ncurses_addchnstr' => 0,
            'ncurses_addchstr' => 0,
            'ncurses_addnstr' => 0,
            'ncurses_addstr' => 0,
            'ncurses_define_key' => 0,
            'ncurses_insstr' => 0,
            'ncurses_instr' => 0,
            'ncurses_mvaddchnstr' => 2,
            'ncurses_mvaddchstr' => 2,
            'ncurses_mvaddnstr' => 2,
            'ncurses_mvaddstr' => 2,
            'ncurses_mvwaddstr' => 3,
            'ncurses_putp' => 0,
            'ncurses_scr_dump' => 0,
            'ncurses_scr_init' => 0,
            'ncurses_scr_restore' => 0,
            'ncurses_scr_set' => 0,
            'ncurses_slk_set' => 1,
            'ncurses_waddstr' => 1,
            'ngettext' => 0,
            'nl2br' => 0,
            'ob_gzhandler' => 0,
            'ob_iconv_handler' => 0,
            'octdec' => 0,
            'opendir' => 0,
            'openlog' => 0,
            'openssl_csr_export' => 1,
            'openssl_csr_export_to_file' => 1,
            'openssl_get_privatekey' => 1,
            'openssl_open' => 0,
            'openssl_pkcs12_export' => 1,
            'openssl_pkcs12_export_to_file' => 1,
            'openssl_pkcs12_read' => 2,
            'openssl_pkcs7_decrypt' => 0,
            'openssl_pkcs7_encrypt' => 0,
            'openssl_pkcs7_sign' => 0,
            'openssl_pkcs7_verify' => 0,
            'openssl_pkey_export' => 1,
            'openssl_pkey_export_to_file' => 1,
            'openssl_pkey_get_private' => 1,
            'openssl_private_decrypt' => 0,
            'openssl_private_encrypt' => 0,
            'openssl_public_decrypt' => 0,
            'openssl_public_encrypt' => 0,
            'openssl_seal' => 0,
            'openssl_sign' => 0,
            'openssl_verify' => 0,
            'openssl_x509_checkpurpose' => 3,
            'openssl_x509_export' => 1,
            'openssl_x509_export_to_file' => 1,
            'ord' => 0,
            'output_add_rewrite_var' => 0,
            'pack' => 1,
            'parse_ini_file' => 0,
            'parse_str' => 0,
            'parse_url' => 0,
            'passthru' => 0,
            'pathinfo' => 0,
            'pcntl_exec' => 0,
            'pfsockopen' => 0,
            'pg_connect' => 0,
            'pg_convert' => 1,
            'pg_copy_from' => 1,
            'pg_copy_to' => 1,
            'pg_delete' => 1,
            'pg_escape_bytea' => 1,
            'pg_escape_string' => 1,
            'pg_execute' => 1,
            'pg_fetch_result' => 1,
            'pg_field_is_null' => 1,
            'pg_field_num' => 1,
            'pg_field_prtlen' => 1,
            'pg_insert' => 1,
            'pg_lo_export' => 2,
            'pg_lo_import' => 1,
            'pg_lo_open' => 2,
            'pg_lo_write' => 1,
            'pg_meta_data' => 1,
            'pg_parameter_status' => 1,
            'pg_pconnect' => 0,
            'pg_prepare' => 1,
            'pg_put_line' => 0,
            'pg_query' => 0,
            'pg_query_params' => 1,
            'pg_select' => 1,
            'pg_send_execute' => 1,
            'pg_send_prepare' => 1,
            'pg_send_query' => 1,
            'pg_send_query_params' => 1,
            'pg_set_client_encoding' => 0,
            'pg_trace' => 0,
            'pg_unescape_bytea' => 0,
            'pg_update' => 1,
            'php_strip_whitespace' => 0,
            'php_uname' => 0,
            'phpversion' => 0,
            'popen' => 0,
            'posix_access' => 0,
            'posix_getgrnam' => 0,
            'posix_getpwnam' => 0,
            'posix_initgroups' => 0,
            'posix_mkfifo' => 0,
            'posix_mknod' => 0,
            'preg_grep' => 1,
            'preg_match' => 1,
            'preg_match_all' => 1,
            'preg_quote' => 0,
            'preg_replace' => 2,
            'preg_split' => 1,
            'print_r' => 0,
            'printf' => 1,
            'proc_open' => 0,
            'property_exists' => 1,
            'putenv' => 0,
            'quoted_printable_decode' => 0,
            'quotemeta' => 0,
            'range' => 0,
            'rawurldecode' => 0,
            'rawurlencode' => 0,
            'read_exif_data' => 0,
            'readfile' => 0,
            'readgzfile' => 0,
            'readline' => 0,
            'readline_add_history' => 0,
            'readline_info' => 0,
            'readline_read_history' => 0,
            'readline_write_history' => 0,
            'readlink' => 0,
            'realpath' => 0,
            'register_shutdown_function' => 1,
            'register_tick_function' => 1,
            'rename' => 0,
            'rmdir' => 0,
            'rtrim' => 0,
            'scandir' => 0,
            'serialize' => 0,
            'session_cache_limiter' => 0,
            'session_decode' => 0,
            'session_id' => 0,
            'session_is_registered' => 0,
            'session_module_name' => 0,
            'session_name' => 0,
            'session_register' => 0,
            'session_save_path' => 0,
            'session_set_cookie_params' => 1,
            'session_unregister' => 0,
            'set_include_path' => 0,
            'setcookie' => 0,
            'setlocale' => 1,
            'setrawcookie' => 0,
            'settype' => 0,
            'sha1' => 0,
            'sha1_file' => 0,
            'shell_exec' => 0,
            'shmop_open' => 1,
            'shmop_write' => 1,
            'show_source' => 0,
            'similar_text' => 0,
            'simplexml_import_dom' => 1,
            'simplexml_load_file' => 0,
            'simplexml_load_string' => 0,
            'socket_bind' => 1,
            'socket_connect' => 1,
            'socket_getpeername' => 1,
            'socket_getsockname' => 1,
            'socket_recv' => 1,
            'socket_recvfrom' => 1,
            'socket_send' => 1,
            'socket_sendto' => 1,
            'socket_write' => 1,
            'soundex' => 0,
            'spl_autoload' => 0,
            'spl_autoload_call' => 0,
            'spl_autoload_extensions' => 0,
            'split' => 1,
            'spliti' => 1,
            'sprintf' => 1,
            'sql_regcase' => 0,
            'sscanf' => 0,
            'stat' => 0,
            'str_ireplace' => 2,
            'str_pad' => 0,
            'str_repeat' => 0,
            'str_replace' => 2,
            'str_rot13' => 0,
            'str_shuffle' => 0,
            'str_split' => 0,
            'str_word_count' => 0,
            'strcasecmp' => 0,
            'strchr' => 0,
            'strcmp' => 0,
            'strcoll' => 0,
            'strcspn' => 0,
            'stream_bucket_new' => 1,
            'stream_context_set_option' => 1,
            'stream_filter_append' => 1,
            'stream_filter_prepend' => 1,
            'stream_filter_register' => 0,
            'stream_get_line' => 2,
            'stream_register_wrapper' => 0,
            'stream_socket_accept' => 2,
            'stream_socket_client' => 0,
            'stream_socket_recvfrom' => 3,
            'stream_socket_sendto' => 1,
            'stream_socket_server' => 0,
            'stream_wrapper_register' => 0,
            'stream_wrapper_restore' => 0,
            'stream_wrapper_unregister' => 0,
            'strftime' => 0,
            'strip_tags' => 0,
            'stripcslashes' => 0,
            'stripos' => 0,
            'stripslashes' => 0,
            'stristr' => 0,
            'strlen' => 0,
            'strnatcasecmp' => 0,
            'strnatcmp' => 0,
            'strncasecmp' => 0,
            'strncmp' => 0,
            'strpbrk' => 0,
            'strpos' => 0,
            'strptime' => 0,
            'strrchr' => 0,
            'strrev' => 0,
            'strripos' => 0,
            'strrpos' => 0,
            'strspn' => 0,
            'strstr' => 0,
            'strtok' => 0,
            'strtolower' => 0,
            'strtotime' => 0,
            'strtoupper' => 0,
            'strtr' => 0,
            'strval' => 0,
            'substr' => 0,
            'substr_compare' => 0,
            'substr_count' => 0,
            'substr_replace' => 0,
            'symlink' => 0,
            'syslog' => 1,
            'system' => 0,
            'tempnam' => 0,
            'textdomain' => 0,
            'timezone_identifiers_list' => 1,
            'timezone_name_from_abbr' => 0,
            'timezone_open' => 0,
            'token_get_all' => 0,
            'touch' => 0,
            'trigger_error' => 0,
            'trim' => 0,
            'ucfirst' => 0,
            'ucwords' => 0,
            'uniqid' => 0,
            'unlink' => 0,
            'unpack' => 0,
            'unregister_tick_function' => 0,
            'unserialize' => 0,
            'urldecode' => 0,
            'urlencode' => 0,
            'user_error' => 0,
            'utf8_decode' => 0,
            'utf8_encode' => 0,
            'var_dump' => 0,
            'var_export' => 0,
            'version_compare' => 0,
            'vfprintf' => 1,
            'vprintf' => 0,
            'vsprintf' => 0,
            'wddx_add_vars' => 1,
            'wddx_deserialize' => 0,
            'wddx_packet_start' => 0,
            'wddx_serialize_value' => 0,
            'wddx_serialize_vars' => 0,
            'wordwrap' => 0,
            'xml_parse' => 1,
            'xml_parse_into_struct' => 1,
            'xml_parser_create' => 0,
            'xml_parser_create_ns' => 0,
            'xmlwriter_open_uri' => 0,
            'xmlwriter_set_indent_string' => 1,
            'xmlwriter_start_attribute' => 1,
            'xmlwriter_start_attribute_ns' => 1,
            'xmlwriter_start_document' => 1,
            'xmlwriter_start_dtd' => 1,
            'xmlwriter_start_dtd_attlist' => 1,
            'xmlwriter_start_dtd_element' => 1,
            'xmlwriter_start_dtd_entity' => 1,
            'xmlwriter_start_element' => 1,
            'xmlwriter_start_element_ns' => 1,
            'xmlwriter_start_pi' => 1,
            'xmlwriter_text' => 1,
            'xmlwriter_write_attribute' => 1,
            'xmlwriter_write_attribute_ns' => 1,
            'xmlwriter_write_cdata' => 1,
            'xmlwriter_write_comment' => 1,
            'xmlwriter_write_dtd' => 1,
            'xmlwriter_write_dtd_attlist' => 1,
            'xmlwriter_write_dtd_element' => 1,
            'xmlwriter_write_dtd_entity' => 1,
            'xmlwriter_write_element' => 1,
            'xmlwriter_write_element_ns' => 1,
            'xmlwriter_write_pi' => 1,
            'xmlwriter_write_raw' => 1,
            'zip_entry_open' => 2,
            'zip_open' => 0,
        ),
    );

    protected function __construct($type)
    {
        $this->type = $type;
    }

    public static function getInstance($class)
    {
        static $instances = null;
        if (!isset($instances[$class])) {
            $instances[$class] = new self($class);
        } 
        return $instances[$class];
    }

    public function isMethodReturningSelf($method)
    {
        return in_array($method, $this->methodsReturningSelf);
    }

    public function setMethodReturningSelf($method, $delete = false)
    {
        if (!$delete && !$this->isMethodReturningSelf($method)) {
            $this->methodsReturningSelf[] = $method;
        }
        if ($delete && $key = $this->isMethodReturningSelf($method)) {
            unset($this->methodsReturningSelf[$key]);
            return true;
        }
    }

    public function aliasMethod($method)
    {
        if (!function_exists($method) && isset($this->aliasMethods[$this->type])) {
            $aliases = str_replace('*', $method, $this->aliasMethods[$this->type]);
            foreach ($aliases as $alias) {
                if (function_exists($alias)) {
                    return $alias;
                }
            }
        }
        return $method;
    }

    public function argOffset($method) 
    {
        return array_key_exists($method, $this->argOffsets[$this->type]) ? $this->argOffsets[$this->type][$method] : null;
    }

    public function setArgOffset($method, $offset) 
    {
        $this->argOffsets[$this->type][$method] = $offset;
    }

}

